---
search:
  tags:
    - Component secrets
    - DELETE
seo:
  description: >-
    Deletes a secret… Reference for the DELETE
    /project/{project_id}/environment/{environment_id}/component/secret/{variable_id}
    endpoint in the Platform API.
sidebar:
  label: Delete a component secret
  badge: DELETE
title: Delete a component secret
type: openapi-operation
---
Deletes a secret from the component.

`DELETE /project/{project_id}/environment/{environment_id}/component/secret/{variable_id}`

**Responses**

- `204` — Secret deleted successfully
- `default` — Error
